__ZZIP_TRY_OPEN(3)

NAME
__zzip_try_open - internal.

SYNOPSIS

#include <zzip/lib.h>

int __zzip_try_open((zzip_char_t * filename, int filemode, zzip_strings_t * ext, zzip_plugin_io_t io));

DESCRIPTION

The __zzip_try_open function will attach any of the .zip extensions then trying to open it the with open(2). This is a helper function for zzip_dir_open, zzip_opendir and zzip_open.

The __zzip_try_open function returns a new system file handle or -1 on error. On error the __zzip_try_open function leaves the errno(3) of the underlying open(2) call on the last file.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <too@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)